From 4ff3559ed0af62764d9deca49e65f8e3d7ed3a22 Mon Sep 17 00:00:00 2001
Message-Id: <4ff3559ed0af62764d9deca49e65f8e3d7ed3a22.1723145711.git.spencer.king@geneoscopy.com>
From: Spencer King <spencer.king@geneoscopy.com>
Date: Thu, 8 Aug 2024 19:34:22 +0000
Subject: [PATCH] gnu: Add rust-noodles-bgzf-0.32.

* gnu/packages/crates-io.scm (rust-noodles-bgzf-0.32): New variable.

Change-Id: I62bc5b94d15c0c8dd1f3eb83138f30d199b3f996
---
 gnu/packages/crates-io.scm | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 22c6136852..6dfd0bc868 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -46678,6 +46678,36 @@ (define-public rust-nonempty-0.7
     (description "Correct by construction non-empty vector.")
     (license license:expat)))
 
+(define-public rust-noodles-bgzf-0.32
+  (package
+    (name "rust-noodles-bgzf")
+    (version "0.32.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "noodles-bgzf" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "17gwg0qngk2fj3aimqvxxpd4ila4qjh31mwnjdyqkk34987vlbrb"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-byteorder" ,rust-byteorder-1)
+                       ("rust-bytes" ,rust-bytes-1)
+                       ("rust-crossbeam-channel" ,rust-crossbeam-channel-0.5)
+                       ("rust-flate2" ,rust-flate2-1)
+                       ("rust-futures" ,rust-futures-0.3)
+                       ("rust-libdeflater" ,rust-libdeflater-1)
+                       ("rust-pin-project-lite" ,rust-pin-project-lite-0.2)
+                       ("rust-tokio" ,rust-tokio-1)
+                       ("rust-tokio-util" ,rust-tokio-util-0.7))
+       #:cargo-development-inputs (("rust-tokio" ,rust-tokio-1))))
+    (home-page "https://github.com/zaeleus/noodles")
+    (synopsis "Blocked gzip format (BGZF) reader and writer")
+    (description
+     "This package provides a Blocked gzip format (BGZF) reader and writer
+     as part of the @code{noodles} collection of bioinformatics libraries.")
+    (license license:expat)))
+
 (define-public rust-noop-proc-macro-0.3
   (package
     (name "rust-noop-proc-macro")

base-commit: 9c6353c5568a56620af43c2213a9f1cbdc2b4adf
-- 
2.34.1

